﻿Public Class BearingLabel

    Shared WithEvents vcadd As New VCadd32.Automation

    Public Shared Function Run(ByVal str As String) As Integer

        vcadd.SetAlertEvent(&H4000100, 0)   ' ToolComplete | ToolAbort

        vcadd.SaveSettings()
        vcadd.SetDimDistAngle(3)        '	angle
        vcadd.SetDimAngleFormat(14)        '	surveyor
        vcadd.SetDimBaseAngleType(1)   '   12 o'clock()
        vcadd.SetDimAngleClockwise(1)  '   clockwise
        vcadd.Macro("DimLin;") '	CMD Id 2181
        Return True
    End Function

    Public Shared Sub VCadd_ToolAbort(wParam As Integer, lParam As Integer) Handles vcadd.ToolAbort
        If lParam = 2181 Then
            vcadd.RestoreSettings()
            vcadd.ClearAlertEvent()
        End If
    End Sub

    Public Shared Sub VCadd_ToolComplete(wParam As Integer, lParam As Integer) Handles vcadd.ToolComplete
        If lParam = 2181 Then
            vcadd.RestoreSettings()
            vcadd.ClearAlertEvent()
        End If
    End Sub

End Class
