﻿' VB.NET to Parse Expanded Entities
'   lines starting with an apostrophe are comments
Public Class ParseExpand

    ' create Visual CADD object
    Shared WithEvents vcadd As New VCadd32.Automation

    Public Shared Function Run(ByVal str As String) As Integer

        '   used for messages
        Dim sz As String

        '   Parse the expanded list:
        '       The routines to parse the list coincide with standard 
        '       parsing methods of moving from the first item in the 
        '       list to the next until the end of the list is 
        '       reached:

        '   setup a counter
        Dim iCount As Integer = 0
        
        '   start at the first expanded entity
        Dim iKind As Short
        iKind = vcadd.FirstEntityExpand()

        Do While (vcadd.GetErrorCode() = 0)
            '   your tool would do whatever processing is required
            '       for example, count the lines in the expanded 
            '       drawing
            If (iKind = CONTINUOUSLINE2D) Then
                iCount = iCount + 1
            End If

            iKind = vcadd.NextEntityExpand()
        Loop
    
        sz = "Continuous line count: " + CStr(iCount)
        MsgBox(sz, MsgBoxStyle.Information, "API Help Sample")

        ' return
        Return (True)

    End Function

End Class
